body {
  margin: 0;
  padding: 0;
  height: 100vh;
}

.App {
  text-align: center;
  min-width: 780px;
  min-height: 460px;
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.login-container {  
  height: 99vh;  
  display: flex;
  flex: 1;
  justify-content: center;
  align-items: center;
}

.user-not-found {
  color: #ff0000;
}

.dahsboard-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-left: 10px;
  padding-right: 10px;
  height: 10vh;
}

.dahsboard-footer {
  display: flex;
  align-items: center;
  justify-content: center;
  padding-left: 10px;
  padding-right: 10px;
  width: 100%;
  height: 70px;
  min-height: 70px;
  max-height: 70px;
}

.logo-container {
  width: 100%;
  display: flex;
  align-items: center;  
  justify-content: center;
}

.footer-logo {
  display: flex;
  align-items: center;  
  justify-content: center;
  height: 60px;
  width: 210px;
  margin: 5px 0;
  border-radius: 50%;
  background-color: #fff;
}

.logo-image-footer {
  width: 150px;
}

.dashboard-menu {
  color: #fff !important;
}

.info-logged-user {
  display: flex;
}

.user-info {
  margin-left: 10px;
  text-decoration: underline;
  font-weight: bold;
}

.primary-background-color-1 {
  background: #002846 !important;
}

.primary-background-color-2 {
  background: #5CC4BD !important;
}

.primary-color-1 {
  color: #002846 !important;
}

.primary-color-2 {
  color: #5CC4BD !important;
}

.std-button {
  background: #002846 !important;
  color: #5CC4BD !important;
}

.std-button:hover {
  background: #5CC4BD !important;
  color: #002846 !important;  
}

.user-input {
  width: 300px;
}

.modal-input {
  width: 450px;
}

.modal-buttons-container {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.modal-button-yes {
  width: 250px;
  background: #002846 !important;
  color: #5CC4BD !important;
}

.modal-button-yes:hover {
  width: 250px;
  background: #5CC4BD !important;
  color: #002846 !important;  
}

.modal-button-no {
  width: 250px;
  background-color: #ff0000 !important;
  color: #fff;
}

.modal-button-no:hover {
  width: 250px;
  background-color: #ff0050 !important;
  color: #fff;
}

.password-input {
  width: 300px;
}

.charts-container {
  margin: 10vw;
}

.produtos-container {
  margin: 10vw;
}

.produtos-edit-icons {
  width: 75px;
  display: flex;
  justify-content: space-between;
}

.pie-chart {
  margin: 30px 0 30px 0;
}

.bar-chart {
  margin: 30px 0 30px 0;
}

.produtos-list-main-container {
  min-width: 660px;
  min-height: 620px;
  max-height: 620px;
  overflow-y: scroll;
}

.produtos-list-box-infos {
  min-width: 523px;
  width: 90%;
  border: solid 1px #aaa;
  border-radius: 5px;
}

.products-list-item-info {
  display: flex;
  align-items: center;
  font-size: 12px;
  border-radius: 5px;
}

.products-list-item-info-title {
  font-weight: bold;
}

.products-list-item-info-modal-title {
  font-weight: bold;
  width: 100px;
  margin: 40px 0;
}

.products-list-item-info-text {
  margin-left: 5px;
}

.products-list-item-info-modal-text {
  margin-left: 5px;
}

.products-list-item-box-color-odd {
  background-color: #eee;
}

.products-list-item-box-color-even {
  background-color: #ddd;
}

.produto-modal-detalhe-titulo {
  text-align: center;
}

.produto-modal-delete-titulo {
  width: 100%;
  text-align: center;
}

.produto-modal-cadastro-titulo {
  text-align: center;
}

.products-list-item-info-descricao {
  border: solid 1px #aaa;
  border-radius: 5px;
  min-width: 517px;
  width: 517px;
  height: 40px;
  margin-top: 20px;
  margin-left: 5px;
  overflow-y: scroll;  
  word-wrap: normal;
  word-break: keep-all;
}

.dialog-style {
  min-width: 720;
  background-color: #eee;
  border: 2px solid #000;  
}

.btn-cad-dialog {
  width: 100%;
  height: 60px;
  padding-left: 20px;
  padding-right: 20px;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
}
